using UnityEngine;

namespace ScrewsMaster
{
    public class CrazyZooBoot : MonoBehaviour
    {
        public void Awake()
        {
            OnLauncher();
            var reqData = new RespLoginFunnelData
            {
                type = "bootstrap",
                payload = ""
            };
            NetworkKit.PostFunnelLogin(reqData);

#if UNITY_EDITOR
          //  PlayerPrefs.DeleteAll();
#endif
        }

        public static void OnLauncher()
        {
            AppObjConst.FrameGo = new GameObject($"{AppObjConst.FrameGoName}");
            AppObjConst.FrameGo.AddComponent<CrazyZooCore>();
            DontDestroyOnLoad(AppObjConst.FrameGo);
            App.InitApplication(SuperApplication.Instance);
        }
    }
}